Account
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE |
List all account views
Required API key scopes
account:readExample request
GET /api /projects /:project_id /account_viewsExample response
Status 200
RESPONSE
Create account views
Required API key scopes
account:writeRequest parameters
- namestring
- content
Response
Example request
POST /api /projects /:project_id /account_viewsExample response
Status 201
RESPONSE
Status 400 The content is invalid.
Retrieve account views
Required API key scopes
account:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /account_views /:idExample response
Status 200
RESPONSE
Update account views
Required API key scopes
account:writePath parameters
- idstring
Request parameters
- namestring
- content
- visibility
- versioninteger
Response
Example request
PATCH /api /projects /:project_id /account_views /:idExample response
Status 200
RESPONSE
Status 400 The request is invalid.
Status 403 The view cannot be changed by this user.
Status 404 The view was not found.
Status 409 The view changed since the supplied version.
Delete account views
Required API key scopes
account:writePath parameters
- idstring
Query parameters
- versioninteger
Example request
DELETE /api /projects /:project_id /account_views /:id